#ifndef BYTE
#define BYTE unsigned char
#endif

#ifndef WORD
#define WORD unsigned int
#endif

#ifndef LONG
#define LONG unsigned long
#endif

#ifndef NULL
#if (!defined(M_I86CM) && !defined(M_I86LM))
#define  NULL    0
#else
#define  NULL    0L
#endif
#endif

#ifndef TRUE
#define TRUE	1
#endif

#ifndef FALSE
#define FALSE	0
#endif

/****************************************************************************/
/* Routines in the PHYLOCKS module */

/* LogPhysicalRecord */
extern WORD far pascal NWLOGPHYSICALRECORD(
	WORD,						/* OS/2 DOS file handle						*/
	LONG,						/* Record's starting offset					*/
	LONG,						/* Record length							*/
	BYTE,						/* Lock flags- log(0), lock exclusive(1)	*/
								/* lock shared(3)							*/
	WORD );						/* Time out limit (in 1/18 seconds)			*/

/* LockPhysicalRecordSet */
extern WORD far pascal NWLOCKPHYSICALRECORDSET(
	BYTE,						/* Lock flags- exclusive(0), shared(2)		*/
	WORD );						/* Time out limit (in 1/18 seconds)			*/

/* ReleasePhysicalRecordSet */
extern WORD far pascal NWRELEASEPHYSICALRECORDSET(void);

/* ClearPhysicalRecordSet */
extern WORD far pascal NWCLEARPHYSICALRECORDSET(void);

/* ReleasePhysicalRecord */
extern WORD far pascal NWRELEASEPHYSICALRECORD(
	WORD,						/* OS/2 DOS file handle						*/
	LONG,						/* Record's starting offset					*/
	LONG );						/* Record length							*/

/* ClearPhysicalRecord */
extern WORD far pascal NWCLEARPHYSICALRECORD(
	WORD,						/* OS/2 DOS file handle						*/
	LONG,						/* Record's starting offset					*/
	LONG );						/* Record length							*/

/* End of routines in the PHYLOCKS module */
/****************************************************************************/
/* Routines in the FILLOCKS module */

/* LogFileLock */
extern WORD far pascal NWLOGFILELOCK(
	char far *,					/* File name (and path)						*/
	BYTE,						/* Lock flags- log(0), lock exclusive(1)	*/
	WORD );						/* Time out limit (in 1/18 seconds)			*/

/* LockFileLockSet */
extern WORD far pascal NWLOCKFILELOCKSET(
	WORD );						/* Time out limit (in 1/18 seconds)			*/

/* ReleaseFileLockSet */
extern WORD far pascal NWRELEASEFILELOCKSET(void);

/* ClearFileLockSet */
extern WORD far pascal NWCLEARFILELOCKSET(void);

/* ReleaseFileLock */
extern WORD far pascal NWRELEASEFILELOCK(
	char far * );				/* File name (and path)						*/

/* ClearFileLock */
extern WORD far pascal NWCLEARFILELOCK(
	char far * );				/* File name (and path)						*/

/* End of routines in the FILLOCKS module */
/****************************************************************************/
/* Routines in the LOGLOCKS module */

/* LogLogicalRecord */
extern WORD far pascal NWLOGLOGICALRECORD(
	WORD,						/* Connection ID							*/
	char far *,					/* Logical record name (up to 128 chars)	*/
	BYTE,						/* Lock flags- log(0), lock exclusive(1)	*/
								/* lock shared(3)							*/
	WORD );						/* Time out limit (in 1/18 seconds)			*/

/* LockLogicalRecordSet */
extern WORD far pascal NWLOCKLOGICALRECORDSET(
	BYTE,						/* Lock flags- exclusive(0), shared(2)		*/
	WORD );						/* Time out limit (in 1/18 seconds)			*/

/* ReleaseLogicalRecordSet */
extern WORD far pascal NWRELEASELOGICALRECORDSET(void);

/* ClearLogicalRecordSet */
extern WORD far pascal NWCLEARLOGICALRECORDSET(void);

/* ReleaseLogicalRecord */
extern WORD far pascal NWRELEASELOGICALRECORD(
	WORD,						/* Connection ID							*/
	char far * );				/* Logical record name (up to 128 chars)	*/

/* ClearLogicalRecord */
extern WORD far pascal NWCLEARLOGICALRECORD(
	WORD,						/* Connection ID							*/
	char far * );				/* Logical record name (up to 128 chars)	*/

/* End of routines in the LOGLOCKS module */
/****************************************************************************/
/****************************************************************************/

